# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-10 14:46
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Email',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('delivered', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'notification_email',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('type', models.CharField(choices=[('reg', 'Регистрация'), ('new_ord', 'Создание заказа'), ('stat_upd', 'Смена статуса работы'), ('new_rep', 'Появление нового отчета по заказу'), ('check_ord', 'Перепроверка заказа'), ('payment', 'Поступление оплаты по заказу'), ('comp_ord', 'Сдача заказа'), ('close_ord', 'Закрытие заказа'), ('error', 'Ошибки в системе')], max_length=10)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('recipient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Получатель')),
            ],
            options={
                'db_table': 'notification',
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='email',
            name='notification',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.Notification', verbose_name='Уведомление'),
        ),
    ]
